Description

Supportanfrage

could you please tell me if and how it is possible in C(++) to stop a triggered recording that is already active, I mean we want to have

the opportunity to skip or stop capturing the follow-up-time - this is the use case. Is it always possible to send EC_StopRecording to

do that or is there any limitation we have to be aware of?

I use the English language because I want to forward this to a colleague, so please respond in English as well, thank you so much.

Lösung

EC_StopRecording is the Event which tells the Recorder to stop the actual recording.

ADTF itself works the same way, each click the stop button or the key event.

The only limitation regarding recording mode is linked to splitting, see Usermanual (chapter 6.1.1 Harddisk Recorder - Modes of

Operation)

"File Based Queue" mode is just a special case of the "File Based Continuous" mode where a start event also triggers a

simultaneous stop event, essentially eliminating the continuous part of the recording

The follow-time timeout is triggered by the stop recording event, thus you receive the “Stop Recording received but already stopping!”

message.

So unfortunately, no there is no possibility to cancel the recording before the follow-timeout has expired.

The get your desired behavior switch to the File Based Continuous mode with no follow time, and send the stop event at the instant

you want to stop the recording. In this case you always need to send a stop event manually, but you have complete control over the

timeout.

the behavior is exactly the same in ADTF3. If you want a variable follow time, it's best to control it yourself. It's hard for us to handle

specific stop-conditions in a common manner, so the option to not use the built-in follow timer is what we will advise also for ADTF3.

History

#1 - 2020-02-13 12:49 - hidden

- Project changed from Public Support to 9

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Recorder

- Customer set to DAIMLER

Hi Christian,

I think we are talking about ADTF 2.x ?

If yes, EC_StopRecording is the Event which tells the Recorder to stop the actual recording.

ADTF itself works the same way, each click the stop button or the key event.

#2 - 2020-02-13 13:15 - hidden
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf


Dear Mr Roth,

thank you for that information. Yes, you are right, we are talking about ADTF2.

So I understand your feedback as there is no limitation, It does not matter how the harddisk recorder is configured (memory, file based etc., cont. or

triggered), in all situation is possible to stop a running recording programmatically, right?

Thank you and best regards,

Christian Scheunemann

#3 - 2020-02-13 14:07 - hidden

Hi Christian,

So I understand your feedback as there is no limitation, It does not matter how the harddisk recorder is configured (memory, file based etc., cont.

or triggered), in all situation is possible to stop a running recording programmatically, right?

 Yes !

The only limitation regarding recording mode is linked to splitting, see Usermanual (chapter 6.1.1 Harddisk Recorder - Modes of Operation)

#4 - 2020-02-17 12:15 - hidden

Thank you. The ticket can be closed.

Best regards,

Christian

#5 - 2020-02-17 13:44 - hidden

- Project changed from 9 to Public Support

- Subject changed from Stop harddisk recorder (triggered recording, file based) to Stop Harddisk Recorder (triggered recording, file based)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2020-02-18 11:30 - hidden

Hello again,

we have shortly checked how ADTF responds when key stop events are initiated, we saw the following:

·         (1) Queue Mode – File Based Queue, when a recording is active (history e.g. 5s and follow time e.g. 30s) and the stop event (‘a’) is created the

log system provides information (“Stop Recording received but already stopping!”) but is does not stop right after the key event, it stopps when the

follow-time is expired, which is not our intention, we want to stop before reaching the end of the follow-time.

·         (2) Queue Mode – Memory Based Queue, when a recording is active (history e.g. 5s and follow time e.g. 30s) and the stop event (‘a’) is

created, the recording is stopped but the data from the memory removed or at least there is no dat file created (content not flushed to file). It is also

interesting the log system does not provide any information here.

Due to technical reasons we are using way (1), so (2) is not relevant for us we just used it to check how it responds.

One more question just for clarification: The key event (stop recording) results in EC_StopRecording?

Sorry, so the ticket has to be reopened if it has been already closed.

Thank you, best regards,

Christian

#7 - 2020-02-18 11:42 - hidden

- Status changed from To Be Closed to In Progress

- Resolution deleted (Solved Issue)

#8 - 2020-02-18 13:45 - hidden

Hi Christian,
"File Based Queue" mode is just a special case of the "File Based Continuous" mode where a start event also triggers a simultaneous stop event,

essentially eliminating the continuous part of the recording

The follow-time timeout is triggered by the stop recording event, thus you receive the “Stop Recording received but already stopping!” message.

So unfortunately, no there is no possibility to cancel the recording before the follow-timeout has expired.

The get your desired behavior switch to the File Based Continuous mode with no follow time, and send the stop event at the instant you want to stop

the recording. In this case you always need to send a stop event manually, but you have complete control over the timeout.

Hope this is feasible, regards,

Martin

#9 - 2020-02-18 16:15 - hidden

Dear Martin,

I see, yes it is, thank you for the feedback.

Has this use case been considered for ADTF 3, I mean in some situations it would be very useful to stop a triggered recording before it reaches the

follow-time (having more control).

Br,

Christian

#10 - 2020-02-18 16:28 - hidden

Hi Christian,

no, currently the behavior is exactly the same in ADTF3. If you want a variable follow time, it's best to control it yourself. It's hard for us to handle

specific stop-conditions in a common manner, so the option to not use the built-in follow timer is what we will advise also for ADTF3.

Out of curiosity, can you please explain your specific use-case for canceling the follow timer (which most of the time is a rather short period of time).

Thanks,

Martin

#11 - 2020-02-18 16:53 - hidden

- Status changed from In Progress to Customer Feedback Required

#12 - 2020-03-02 09:40 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Affected Products ADTF 2.14.3 added

- Platform Windows 10 64bit added

#13 - 2020-03-02 11:59 - hidden

- Description updated

- Status changed from To Be Closed to Closed
